import { HyperWorker } from './worker';
import type { BuildWorkersParams, CreateWorkerConnectionOpts, LoadWorkersOpts, WorkerBackendOpts, WorkersMode } from './types';
import { BullmqBackend } from './backend';
export declare const createBackend: ({ hyperworkers, redis, backendOpts, }: {
    hyperworkers: HyperWorker[];
    redis: any;
    backendOpts?: WorkerBackendOpts | undefined;
}) => BullmqBackend;
export declare const loadWorkers: ({ workersGlob, mailersGlob }: LoadWorkersOpts) => {
    workers: any;
    mailers: any;
};
export declare const createConnection: ({ redisUrl, rejectUnauthorized, }: CreateWorkerConnectionOpts) => Promise<any>;
declare const buildWorkers: ({ isInProcess, workersGlob, mailersGlob, mailerTemplatesRoot, mailerSettings, logger, redisUrl, backendOpts, truncate, beforeWorkers, afterWorkers, }: BuildWorkersParams, mode: WorkersMode) => Promise<{
    background: string;
    backend: null;
    connection: null;
    mode: WorkersMode;
    mailerTemplatesRoot: string;
    numMailers: number;
    numWorkers: number;
    workers: any;
    mailers: any;
} | {
    background: string;
    backend: BullmqBackend;
    connection: any;
    mailerTemplatesRoot: string;
    mode: WorkersMode;
    numMailers: number;
    numWorkers: number;
    workers: any;
    mailers: any;
}>;
export { buildWorkers };
//# sourceMappingURL=hyperworker.d.ts.map