"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getJobCounts = void 0;
const getJobCounts = (workers) => __awaiter(void 0, void 0, void 0, function* () {
    const counts = [];
    for (const W of workers) {
        const wc = yield W.jobCounts();
        counts.push(Object.assign({ name: W.name, queue: W.queueName }, wc));
    }
    return counts;
});
exports.getJobCounts = getJobCounts;
