import 'reflect-metadata';
import type { Logger } from '@hyperstackjs/typings';
import type { BullmqBackend, JobCounts } from './backend';
import type { Worker } from './types';
export declare const queueAs: (queueName: string) => (target: Object) => void;
export declare const producerOnly: () => (target: Object) => void;
declare class HyperWorker implements Worker {
    static inprocess: boolean;
    static logger: Logger | null;
    static backend: BullmqBackend | null;
    static enqueue: any;
    static queue: any;
    static reportError: (_err: Error, _tags?: any) => void;
    static clear(): void;
    static initWorker({ logger }: any): void;
    static setMode({ inprocess, reportError, }: {
        inprocess: boolean;
        reportError?: (err: Error, tags?: any) => void;
    }): void;
    static setTest(reportError: any): void;
    static get queueName(): any;
    static get producerOnly(): any;
    static performNow(args: any): Promise<any>;
    static performLater(_args: any): Promise<any>;
    static jobCounts(): Promise<JobCounts>;
    get logger(): Logger | null;
    perform(_args: any): any;
}
export { HyperWorker };
//# sourceMappingURL=worker.d.ts.map